<template>
  <div class="post-item">
    <h2>
      {{ post.title }}
    </h2>
    <div class="post-body">
      {{ post.body }}
    </div>
  </div>
</template>

<script>
export default {
  props: {
    post: {
      type: Object,
      required: true
    },
  }
}
</script>

<style scoped>
.post-item {
  border: 1px solid black;
  margin: 12px auto;

  max-width: 512px;
}

.post-body {
  text-align: left;
}
</style>
